This file is part of MXE. See LICENSE.md for licensing information.

Contains ad hoc patches for cross building.

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Boris Nagaev <bnagaev@gmail.com>
Date: Mon, 25 Apr 2016 02:31:37 +0200
Subject: [PATCH 1/2] add rockspec from upstream


diff --git a/luv-1.9.0-1.rockspec b/luv-1.9.0-1.rockspec
new file mode 100644
index 1111111..2222222
--- /dev/null
+++ b/luv-1.9.0-1.rockspec
@@ -0,0 +1,34 @@
+package = "luv"
+version = "1.9.0-1"
+source = {
+  url = 'https://github.com/luvit/luv/releases/download/'..version..'/luv-'..version..'.tar.gz'
+}
+
+description = {
+  summary = "Bare libuv bindings for lua",
+  detailed = [[
+libuv bindings for luajit and lua 5.1/5.2/5.3.
+
+This library makes libuv available to lua scripts. It was made for the luvit
+project but should usable from nearly any lua project.
+  ]],
+  homepage = "https://github.com/luvit/luv",
+  license = "Apache 2.0"
+}
+
+dependencies = {
+  "lua >= 5.1"
+}
+
+build = {
+  type = 'cmake',
+  variables = {
+     CMAKE_C_FLAGS="$(CFLAGS)",
+     CMAKE_MODULE_LINKER_FLAGS="$(LIBFLAG)",
+     LUA_LIBDIR="$(LUA_LIBDIR)",
+     LUA_INCDIR="$(LUA_INCDIR)",
+     LUA="$(LUA)",
+     LIBDIR="$(LIBDIR)",
+     LUADIR="$(LUADIR)",
+  },
+}

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Boris Nagaev <bnagaev@gmail.com>
Date: Mon, 25 Apr 2016 02:25:47 +0200
Subject: [PATCH 2/2] use external libuv


diff --git a/luv-1.9.0-1.rockspec b/luv-1.9.0-1.rockspec
index 1111111..2222222 100644
--- a/luv-1.9.0-1.rockspec
+++ b/luv-1.9.0-1.rockspec
@@ -30,5 +30,6 @@ build = {
      LUA="$(LUA)",
      LIBDIR="$(LIBDIR)",
      LUADIR="$(LUADIR)",
+     WITH_SHARED_LIBUV="ON",
   },
 }
